#ifndef __TKeysExt__
#define __TKeysExt__
const ushort
      kbUnknown=0x0000,kbA=0x0001,kbB=0x0002,kbC=0x0003,kbD=0x0004,kbE=0x0005,
      kbF=0x0006,kbG=0x0007,kbH=0x0008,kbI=0x0009,kbJ=0x000a,kbK=0x000b,
      kbL=0x000c,kbM=0x000d,kbN=0x000e,kbO=0x000f,kbP=0x0010,kbQ=0x0011,
      kbR=0x0012,kbS=0x0013,kbT=0x0014,kbU=0x0015,kbV=0x0016,kbW=0x0017,
      kbX=0x0018,kbY=0x0019,kbZ=0x001a,kbOpenBrace=0x001b,kbBackSlash=0x001c,
      kbCloseBrace=0x001d,kbPause=0x001e,kbEsc=0x001f,kb0=0x0020,kb1=0x0021,
      kb2=0x0022,kb3=0x0023,kb4=0x0024,kb5=0x0025,kb6=0x0026,kb7=0x0027,
      kb8=0x0028,kb9=0x0029,kbBackSpace=0x002a,kbTab=0x002b,kbEnter=0x002c,
      kbColon=0x002d,kbQuote=0x002e,kbGrave=0x002f,kbComma=0x0030,
      kbStop=0x0031,kbSlash=0x0032,kbAsterisk=0x0033,kbSpace=0x0034,
      kbMinus=0x0035,kbPlus=0x0036,kbPrnScr=0x0037,kbEqual=0x0038,
      kbF1=0x0039,kbF2=0x003a,kbF3=0x003b,kbF4=0x003c,kbF5=0x003d,
      kbF6=0x003e,kbF7=0x003f,kbF8=0x0040,kbF9=0x0041,kbF10=0x0042,
      kbF11=0x0043,kbF12=0x0044,kbHome=0x0045,kbUp=0x0046,kbPgUp=0x0047,
      kbLeft=0x0048,kbRight=0x0049,kbEnd=0x004a,kbDown=0x004b,kbPgDn=0x004c,
      kbInsert=0x004d,kbDelete=0x004e,kbCaret=0x004f,kbAdmid=0x0050,
      kbDobleQuote=0x0051,kbNumeral=0x0052,kbDolar=0x0053,kbPercent=0x0054,
      kbAmper=0x0055,kbOpenPar=0x0056,kbClosePar=0x0057,kbDoubleDot=0x0058,
      kbLessThan=0x0059,kbGreaterThan=0x005a,kbQuestion=0x005b,
      kbA_Roba=0x005c,kbOr=0x005d,kbUnderLine=0x005e,kbOpenCurly=0x005f,
      kbCloseCurly=0x0060,kbTilde=0x0061,kbMacro=0x0062,kbWinLeft=0x0063,
      kbWinRight=0x0064,kbWinSel=0x0065,kbMouse=0x0066;

const ushort
      kbShUnknown=0x0080,kbShA=0x0081,kbShB=0x0082,kbShC=0x0083,kbShD=0x0084,
      kbShE=0x0085,kbShF=0x0086,kbShG=0x0087,kbShH=0x0088,kbShI=0x0089,
      kbShJ=0x008a,kbShK=0x008b,kbShL=0x008c,kbShM=0x008d,kbShN=0x008e,
      kbShO=0x008f,kbShP=0x0090,kbShQ=0x0091,kbShR=0x0092,kbShS=0x0093,
      kbShT=0x0094,kbShU=0x0095,kbShV=0x0096,kbShW=0x0097,kbShX=0x0098,
      kbShY=0x0099,kbShZ=0x009a,kbShOpenBrace=0x009b,kbShBackSlash=0x009c,
      kbShCloseBrace=0x009d,kbShPause=0x009e,kbShEsc=0x009f,kbSh0=0x00a0,
      kbSh1=0x00a1,kbSh2=0x00a2,kbSh3=0x00a3,kbSh4=0x00a4,kbSh5=0x00a5,
      kbSh6=0x00a6,kbSh7=0x00a7,kbSh8=0x00a8,kbSh9=0x00a9,
      kbShBackSpace=0x00aa,kbShTab=0x00ab,kbShEnter=0x00ac,
      kbShColon=0x00ad,kbShQuote=0x00ae,kbShGrave=0x00af,kbShComma=0x00b0,
      kbShStop=0x00b1,kbShSlash=0x00b2,kbShAsterisk=0x00b3,kbShSpace=0x00b4,
      kbShMinus=0x00b5,kbShPlus=0x00b6,kbShPrnScr=0x00b7,kbShEqual=0x00b8,
      kbShF1=0x00b9,kbShF2=0x00ba,kbShF3=0x00bb,kbShF4=0x00bc,kbShF5=0x00bd,
      kbShF6=0x00be,kbShF7=0x00bf,kbShF8=0x00c0,kbShF9=0x00c1,kbShF10=0x00c2,
      kbShF11=0x00c3,kbShF12=0x00c4,kbShHome=0x00c5,kbShUp=0x00c6,
      kbShPgUp=0x00c7,kbShLeft=0x00c8,kbShRight=0x00c9,kbShEnd=0x00ca,
      kbShDown=0x00cb,kbShPgDn=0x00cc,kbShInsert=0x00cd,kbShDelete=0x00ce,
      kbShCaret=0x00cf,kbShAdmid=0x00d0,kbShDobleQuote=0x00d1,
      kbShNumeral=0x00d2,kbShDolar=0x00d3,kbShPercent=0x00d4,
      kbShAmper=0x00d5,kbShOpenPar=0x00d6,kbShClosePar=0x00d7,
      kbShDoubleDot=0x00d8,kbShLessThan=0x00d9,kbShGreaterThan=0x00da,
      kbShQuestion=0x00db,kbShA_Roba=0x00dc,kbShOr=0x00dd,
      kbShUnderLine=0x00de,kbShOpenCurly=0x00df,kbShCloseCurly=0x00e0,
      kbShTilde=0x00e1,kbShMacro=0x00e2,kbShWinLeft=0x00e3,
      kbShWinRight=0x00e4,kbShWinSel=0x00e5;

const ushort
      kbCtUnknown=0x0100,kbCtA=0x0101,kbCtB=0x0102,kbCtC=0x0103,kbCtD=0x0104,
      kbCtE=0x0105,kbCtF=0x0106,kbCtG=0x0107,kbCtH=0x0108,kbCtI=0x0109,
      kbCtJ=0x010a,kbCtK=0x010b,kbCtL=0x010c,kbCtM=0x010d,kbCtN=0x010e,
      kbCtO=0x010f,kbCtP=0x0110,kbCtQ=0x0111,kbCtR=0x0112,kbCtS=0x0113,
      kbCtT=0x0114,kbCtU=0x0115,kbCtV=0x0116,kbCtW=0x0117,kbCtX=0x0118,
      kbCtY=0x0119,kbCtZ=0x011a,kbCtOpenBrace=0x011b,kbCtBackSlash=0x011c,
      kbCtCloseBrace=0x011d,kbCtPause=0x011e,kbCtEsc=0x011f,kbCt0=0x0120,
      kbCt1=0x0121,kbCt2=0x0122,kbCt3=0x0123,kbCt4=0x0124,kbCt5=0x0125,
      kbCt6=0x0126,kbCt7=0x0127,kbCt8=0x0128,kbCt9=0x0129,
      kbCtBackSpace=0x012a,kbCtTab=0x012b,kbCtEnter=0x012c,kbCtColon=0x012d,
      kbCtQuote=0x012e,kbCtGrave=0x012f,kbCtComma=0x0130,kbCtStop=0x0131,
      kbCtSlash=0x0132,kbCtAsterisk=0x0133,kbCtSpace=0x0134,kbCtMinus=0x0135,
      kbCtPlus=0x0136,kbCtPrnScr=0x0137,kbCtEqual=0x0138,kbCtF1=0x0139,
      kbCtF2=0x013a,kbCtF3=0x013b,kbCtF4=0x013c,kbCtF5=0x013d,kbCtF6=0x013e,
      kbCtF7=0x013f,kbCtF8=0x0140,kbCtF9=0x0141,kbCtF10=0x0142,kbCtF11=0x0143,
      kbCtF12=0x0144,kbCtHome=0x0145,kbCtUp=0x0146,kbCtPgUp=0x0147,
      kbCtLeft=0x0148,kbCtRight=0x0149,kbCtEnd=0x014a,kbCtDown=0x014b,
      kbCtPgDn=0x014c,kbCtInsert=0x014d,kbCtDelete=0x014e,kbCtCaret=0x014f,
      kbCtAdmid=0x0150,kbCtDobleQuote=0x0151,kbCtNumeral=0x0152,
      kbCtDolar=0x0153,kbCtPercent=0x0154,kbCtAmper=0x0155,kbCtOpenPar=0x0156,
      kbCtClosePar=0x0157,kbCtDoubleDot=0x0158,kbCtLessThan=0x0159,
      kbCtGreaterThan=0x015a,kbCtQuestion=0x015b,kbCtA_Roba=0x015c,
      kbCtOr=0x015d,kbCtUnderLine=0x015e,kbCtOpenCurly=0x015f,
      kbCtCloseCurly=0x0160,kbCtTilde=0x0161,kbCtMacro=0x0162,kbCtWinLeft=0x0163,
      kbCtWinRight=0x0164,kbCtWinSel=0x0165;

const ushort
      kbShCtUnknown=0x0180,kbShCtA=0x0181,kbShCtB=0x0182,kbShCtC=0x0183,
      kbShCtD=0x0184,kbShCtE=0x0185,kbShCtF=0x0186,kbShCtG=0x0187,
      kbShCtH=0x0188,kbShCtI=0x0189,kbShCtJ=0x018a,kbShCtK=0x018b,
      kbShCtL=0x018c,kbShCtM=0x018d,kbShCtN=0x018e,kbShCtO=0x018f,
      kbShCtP=0x0190,kbShCtQ=0x0191,kbShCtR=0x0192,kbShCtS=0x0193,
      kbShCtT=0x0194,kbShCtU=0x0195,kbShCtV=0x0196,kbShCtW=0x0197,
      kbShCtX=0x0198,kbShCtY=0x0199,kbShCtZ=0x019a,kbShCtOpenBrace=0x019b,
      kbShCtBackSlash=0x019c,kbShCtCloseBrace=0x019d,kbShCtPause=0x019e,
      kbShCtEsc=0x019f,kbShCt0=0x01a0,kbShCt1=0x01a1,kbShCt2=0x01a2,
      kbShCt3=0x01a3,kbShCt4=0x01a4,kbShCt5=0x01a5,kbShCt6=0x01a6,
      kbShCt7=0x01a7,kbShCt8=0x01a8,kbShCt9=0x01a9,kbShCtBackSpace=0x01aa,
      kbShCtTab=0x01ab,kbShCtEnter=0x01ac,kbShCtColon=0x01ad,
      kbShCtQuote=0x01ae,kbShCtGrave=0x01af,kbShCtComma=0x01b0,
      kbShCtStop=0x01b1,kbShCtSlash=0x01b2,kbShCtAsterisk=0x01b3,
      kbShCtSpace=0x01b4,kbShCtMinus=0x01b5,kbShCtPlus=0x01b6,
      kbShCtPrnScr=0x01b7,kbShCtEqual=0x01b8,kbShCtF1=0x01b9,kbShCtF2=0x01ba,
      kbShCtF3=0x01bb,kbShCtF4=0x01bc,kbShCtF5=0x01bd,kbShCtF6=0x01be,
      kbShCtF7=0x01bf,kbShCtF8=0x01c0,kbShCtF9=0x01c1,kbShCtF10=0x01c2,
      kbShCtF11=0x01c3,kbShCtF12=0x01c4,kbShCtHome=0x01c5,kbShCtUp=0x01c6,
      kbShCtPgUp=0x01c7,kbShCtLeft=0x01c8,kbShCtRight=0x01c9,kbShCtEnd=0x01ca,
      kbShCtDown=0x01cb,kbShCtPgDn=0x01cc,kbShCtInsert=0x01cd,
      kbShCtDelete=0x01ce,kbShCtCaret=0x01cf,kbShCtAdmid=0x01d0,
      kbShCtDobleQuote=0x01d1,kbShCtNumeral=0x01d2,kbShCtDolar=0x01d3,
      kbShCtPercent=0x01d4,kbShCtAmper=0x01d5,kbShCtOpenPar=0x01d6,
      kbShCtClosePar=0x01d7,kbShCtDoubleDot=0x01d8,kbShCtLessThan=0x01d9,
      kbShCtGreaterThan=0x01da,kbShCtQuestion=0x01db,kbShCtA_Roba=0x01dc,
      kbShCtOr=0x01dd,kbShCtUnderLine=0x01de,kbShCtOpenCurly=0x01df,
      kbShCtCloseCurly=0x01e0,kbShCtTilde=0x01e1,kbShCtMacro=0x01e2,
      kbShCtWinLeft=0x01e3,kbShCtWinRight=0x01e4,kbShCtWinSel=0x01e5;

const ushort
      kbAlUnknown=0x0200,kbAlA=0x0201,kbAlB=0x0202,kbAlC=0x0203,kbAlD=0x0204,
      kbAlE=0x0205,kbAlF=0x0206,kbAlG=0x0207,kbAlH=0x0208,kbAlI=0x0209,
      kbAlJ=0x020a,kbAlK=0x020b,kbAlL=0x020c,kbAlM=0x020d,kbAlN=0x020e,
      kbAlO=0x020f,kbAlP=0x0210,kbAlQ=0x0211,kbAlR=0x0212,kbAlS=0x0213,
      kbAlT=0x0214,kbAlU=0x0215,kbAlV=0x0216,kbAlW=0x0217,kbAlX=0x0218,
      kbAlY=0x0219,kbAlZ=0x021a,kbAlOpenBrace=0x021b,kbAlBackSlash=0x021c,
      kbAlCloseBrace=0x021d,kbAlPause=0x021e,kbAlEsc=0x021f,kbAl0=0x0220,
      kbAl1=0x0221,kbAl2=0x0222,kbAl3=0x0223,kbAl4=0x0224,kbAl5=0x0225,
      kbAl6=0x0226,kbAl7=0x0227,kbAl8=0x0228,kbAl9=0x0229,
      kbAlBackSpace=0x022a,kbAlTab=0x022b,kbAlEnter=0x022c,kbAlColon=0x022d,
      kbAlQuote=0x022e,kbAlGrave=0x022f,kbAlComma=0x0230,kbAlStop=0x0231,
      kbAlSlash=0x0232,kbAlAsterisk=0x0233,kbAlSpace=0x0234,kbAlMinus=0x0235,
      kbAlPlus=0x0236,kbAlPrnScr=0x0237,kbAlEqual=0x0238,kbAlF1=0x0239,
      kbAlF2=0x023a,kbAlF3=0x023b,kbAlF4=0x023c,kbAlF5=0x023d,kbAlF6=0x023e,
      kbAlF7=0x023f,kbAlF8=0x0240,kbAlF9=0x0241,kbAlF10=0x0242,kbAlF11=0x0243,
      kbAlF12=0x0244,kbAlHome=0x0245,kbAlUp=0x0246,kbAlPgUp=0x0247,
      kbAlLeft=0x0248,kbAlRight=0x0249,kbAlEnd=0x024a,kbAlDown=0x024b,
      kbAlPgDn=0x024c,kbAlInsert=0x024d,kbAlDelete=0x024e,kbAlCaret=0x024f,
      kbAlAdmid=0x0250,kbAlDobleQuote=0x0251,kbAlNumeral=0x0252,
      kbAlDolar=0x0253,kbAlPercent=0x0254,kbAlAmper=0x0255,kbAlOpenPar=0x0256,
      kbAlClosePar=0x0257,kbAlDoubleDot=0x0258,kbAlLessThan=0x0259,
      kbAlGreaterThan=0x025a,kbAlQuestion=0x025b,kbAlA_Roba=0x025c,
      kbAlOr=0x025d,kbAlUnderLine=0x025e,kbAlOpenCurly=0x025f,
      kbAlCloseCurly=0x0260,kbAlTilde=0x0261,kbAlMacro=0x0262,kbAlWinLeft=0x0263,
      kbAlWinRight=0x0264,kbAlWinSel=0x0265;

const ushort
      kbShAlUnknown=0x0280,kbShAlA=0x0281,kbShAlB=0x0282,kbShAlC=0x0283,
      kbShAlD=0x0284,kbShAlE=0x0285,kbShAlF=0x0286,kbShAlG=0x0287,
      kbShAlH=0x0288,kbShAlI=0x0289,kbShAlJ=0x028a,kbShAlK=0x028b,
      kbShAlL=0x028c,kbShAlM=0x028d,kbShAlN=0x028e,kbShAlO=0x028f,
      kbShAlP=0x0290,kbShAlQ=0x0291,kbShAlR=0x0292,kbShAlS=0x0293,
      kbShAlT=0x0294,kbShAlU=0x0295,kbShAlV=0x0296,kbShAlW=0x0297,
      kbShAlX=0x0298,kbShAlY=0x0299,kbShAlZ=0x029a,kbShAlOpenBrace=0x029b,
      kbShAlBackSlash=0x029c,kbShAlCloseBrace=0x029d,kbShAlPause=0x029e,
      kbShAlEsc=0x029f,kbShAl0=0x02a0,kbShAl1=0x02a1,kbShAl2=0x02a2,
      kbShAl3=0x02a3,kbShAl4=0x02a4,kbShAl5=0x02a5,kbShAl6=0x02a6,
      kbShAl7=0x02a7,kbShAl8=0x02a8,kbShAl9=0x02a9,kbShAlBackSpace=0x02aa,
      kbShAlTab=0x02ab,kbShAlEnter=0x02ac,kbShAlColon=0x02ad,
      kbShAlQuote=0x02ae,kbShAlGrave=0x02af,kbShAlComma=0x02b0,
      kbShAlStop=0x02b1,kbShAlSlash=0x02b2,kbShAlAsterisk=0x02b3,
      kbShAlSpace=0x02b4,kbShAlMinus=0x02b5,kbShAlPlus=0x02b6,
      kbShAlPrnScr=0x02b7,kbShAlEqual=0x02b8,kbShAlF1=0x02b9,
      kbShAlF2=0x02ba,kbShAlF3=0x02bb,kbShAlF4=0x02bc,kbShAlF5=0x02bd,
      kbShAlF6=0x02be,kbShAlF7=0x02bf,kbShAlF8=0x02c0,kbShAlF9=0x02c1,
      kbShAlF10=0x02c2,kbShAlF11=0x02c3,kbShAlF12=0x02c4,kbShAlHome=0x02c5,
      kbShAlUp=0x02c6,kbShAlPgUp=0x02c7,kbShAlLeft=0x02c8,kbShAlRight=0x02c9,
      kbShAlEnd=0x02ca,kbShAlDown=0x02cb,kbShAlPgDn=0x02cc,
      kbShAlInsert=0x02cd,kbShAlDelete=0x02ce,kbShAlCaret=0x02cf,
      kbShAlAdmid=0x02d0,kbShAlDobleQuote=0x02d1,kbShAlNumeral=0x02d2,
      kbShAlDolar=0x02d3,kbShAlPercent=0x02d4,kbShAlAmper=0x02d5,
      kbShAlOpenPar=0x02d6,kbShAlClosePar=0x02d7,kbShAlDoubleDot=0x02d8,
      kbShAlLessThan=0x02d9,kbShAlGreaterThan=0x02da,kbShAlQuestion=0x02db,
      kbShAlA_Roba=0x02dc,kbShAlOr=0x02dd,kbShAlUnderLine=0x02de,
      kbShAlOpenCurly=0x02df,kbShAlCloseCurly=0x02e0,kbShAlTilde=0x02e1,
      kbShAlMacro=0x02e2,kbShAlWinLeft=0x02e3,kbShAlWinRight=0x02e4,
      kbShAlWinSel=0x02e5;

const ushort
      kbCtAlUnknown=0x0300,kbCtAlA=0x0301,kbCtAlB=0x0302,kbCtAlC=0x0303,
      kbCtAlD=0x0304,kbCtAlE=0x0305,kbCtAlF=0x0306,kbCtAlG=0x0307,
      kbCtAlH=0x0308,kbCtAlI=0x0309,kbCtAlJ=0x030a,kbCtAlK=0x030b,
      kbCtAlL=0x030c,kbCtAlM=0x030d,kbCtAlN=0x030e,kbCtAlO=0x030f,
      kbCtAlP=0x0310,kbCtAlQ=0x0311,kbCtAlR=0x0312,kbCtAlS=0x0313,
      kbCtAlT=0x0314,kbCtAlU=0x0315,kbCtAlV=0x0316,kbCtAlW=0x0317,
      kbCtAlX=0x0318,kbCtAlY=0x0319,kbCtAlZ=0x031a,kbCtAlOpenBrace=0x031b,
      kbCtAlBackSlash=0x031c,kbCtAlCloseBrace=0x031d,kbCtAlPause=0x031e,
      kbCtAlEsc=0x031f,kbCtAl0=0x0320,kbCtAl1=0x0321,kbCtAl2=0x0322,
      kbCtAl3=0x0323,kbCtAl4=0x0324,kbCtAl5=0x0325,kbCtAl6=0x0326,
      kbCtAl7=0x0327,kbCtAl8=0x0328,kbCtAl9=0x0329,kbCtAlBackSpace=0x032a,
      kbCtAlTab=0x032b,kbCtAlEnter=0x032c,kbCtAlColon=0x032d,
      kbCtAlQuote=0x032e,kbCtAlGrave=0x032f,kbCtAlComma=0x0330,
      kbCtAlStop=0x0331,kbCtAlSlash=0x0332,kbCtAlAsterisk=0x0333,
      kbCtAlSpace=0x0334,kbCtAlMinus=0x0335,kbCtAlPlus=0x0336,
      kbCtAlPrnScr=0x0337,kbCtAlEqual=0x0338,kbCtAlF1=0x0339,
      kbCtAlF2=0x033a,kbCtAlF3=0x033b,kbCtAlF4=0x033c,kbCtAlF5=0x033d,
      kbCtAlF6=0x033e,kbCtAlF7=0x033f,kbCtAlF8=0x0340,kbCtAlF9=0x0341,
      kbCtAlF10=0x0342,kbCtAlF11=0x0343,kbCtAlF12=0x0344,kbCtAlHome=0x0345,
      kbCtAlUp=0x0346,kbCtAlPgUp=0x0347,kbCtAlLeft=0x0348,kbCtAlRight=0x0349,
      kbCtAlEnd=0x034a,kbCtAlDown=0x034b,kbCtAlPgDn=0x034c,
      kbCtAlInsert=0x034d,kbCtAlDelete=0x034e,kbCtAlCaret=0x034f,
      kbCtAlAdmid=0x0350,kbCtAlDobleQuote=0x0351,kbCtAlNumeral=0x0352,
      kbCtAlDolar=0x0353,kbCtAlPercent=0x0354,kbCtAlAmper=0x0355,
      kbCtAlOpenPar=0x0356,kbCtAlClosePar=0x0357,kbCtAlDoubleDot=0x0358,
      kbCtAlLessThan=0x0359,kbCtAlGreaterThan=0x035a,kbCtAlQuestion=0x035b,
      kbCtAlA_Roba=0x035c,kbCtAlOr=0x035d,kbCtAlUnderLine=0x035e,
      kbCtAlOpenCurly=0x035f,kbCtAlCloseCurly=0x0360,kbCtAlTilde=0x0361,
      kbCtAlMacro=0x0362,kbCtAlWinLeft=0x0363,kbCtAlWinRight=0x0364,
      kbCtAlWinSel=0x0365;

const ushort
      kbShCtAlUnknown=0x0380,kbShCtAlA=0x0381,kbShCtAlB=0x0382,
      kbShCtAlC=0x0383,kbShCtAlD=0x0384,kbShCtAlE=0x0385,kbShCtAlF=0x0386,
      kbShCtAlG=0x0387,kbShCtAlH=0x0388,kbShCtAlI=0x0389,kbShCtAlJ=0x038a,
      kbShCtAlK=0x038b,kbShCtAlL=0x038c,kbShCtAlM=0x038d,kbShCtAlN=0x038e,
      kbShCtAlO=0x038f,kbShCtAlP=0x0390,kbShCtAlQ=0x0391,kbShCtAlR=0x0392,
      kbShCtAlS=0x0393,kbShCtAlT=0x0394,kbShCtAlU=0x0395,kbShCtAlV=0x0396,
      kbShCtAlW=0x0397,kbShCtAlX=0x0398,kbShCtAlY=0x0399,kbShCtAlZ=0x039a,
      kbShCtAlOpenBrace=0x039b,kbShCtAlBackSlash=0x039c,
      kbShCtAlCloseBrace=0x039d,kbShCtAlPause=0x039e,kbShCtAlEsc=0x039f,
      kbShCtAl0=0x03a0,kbShCtAl1=0x03a1,kbShCtAl2=0x03a2,kbShCtAl3=0x03a3,
      kbShCtAl4=0x03a4,kbShCtAl5=0x03a5,kbShCtAl6=0x03a6,kbShCtAl7=0x03a7,
      kbShCtAl8=0x03a8,kbShCtAl9=0x03a9,kbShCtAlBackSpace=0x03aa,
      kbShCtAlTab=0x03ab,kbShCtAlEnter=0x03ac,kbShCtAlColon=0x03ad,
      kbShCtAlQuote=0x03ae,kbShCtAlGrave=0x03af,kbShCtAlComma=0x03b0,
      kbShCtAlStop=0x03b1,kbShCtAlSlash=0x03b2,kbShCtAlAsterisk=0x03b3,
      kbShCtAlSpace=0x03b4,kbShCtAlMinus=0x03b5,kbShCtAlPlus=0x03b6,
      kbShCtAlPrnScr=0x03b7,kbShCtAlEqual=0x03b8,kbShCtAlF1=0x03b9,
      kbShCtAlF2=0x03ba,kbShCtAlF3=0x03bb,kbShCtAlF4=0x03bc,kbShCtAlF5=0x03bd,
      kbShCtAlF6=0x03be,kbShCtAlF7=0x03bf,kbShCtAlF8=0x03c0,kbShCtAlF9=0x03c1,
      kbShCtAlF10=0x03c2,kbShCtAlF11=0x03c3,kbShCtAlF12=0x03c4,
      kbShCtAlHome=0x03c5,kbShCtAlUp=0x03c6,kbShCtAlPgUp=0x03c7,
      kbShCtAlLeft=0x03c8,kbShCtAlRight=0x03c9,kbShCtAlEnd=0x03ca,
      kbShCtAlDown=0x03cb,kbShCtAlPgDn=0x03cc,kbShCtAlInsert=0x03cd,
      kbShCtAlDelete=0x03ce,kbShCtAlCaret=0x03cf,kbShCtAlAdmid=0x03d0,
      kbShCtAlDobleQuote=0x03d1,kbShCtAlNumeral=0x03d2,kbShCtAlDolar=0x03d3,
      kbShCtAlPercent=0x03d4,kbShCtAlAmper=0x03d5,kbShCtAlOpenPar=0x03d6,
      kbShCtAlClosePar=0x03d7,kbShCtAlDoubleDot=0x03d8,
      kbShCtAlLessThan=0x03d9,kbShCtAlGreaterThan=0x03da,
      kbShCtAlQuestion=0x03db,kbShCtAlA_Roba=0x03dc,kbShCtAlOr=0x03dd,
      kbShCtAlUnderLine=0x03de,kbShCtAlOpenCurly=0x03df,
      kbShCtAlCloseCurly=0x03e0,kbShCtAlTilde=0x03e1,kbShCtAlMacro=0x03e2,
      kbShCtAlWinLeft=0x03e3,kbShCtAlWinRight=0x03e4,kbShCtAlWinSel=0x03e5;
#endif
